<TrustFrameworkPolicy xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns="http://schemas.microsoft.com/online/cpim/schemas/2013/06" PolicySchemaVersion="0.3.0.0" TenantId="syntropydevel.onmicrosoft.com" PolicyId="B2C_1A_ROPC_Auth" PublicPolicyUri="http://syntropydevel.onmicrosoft.com/B2C_1A_ROPC_Auth" TenantObjectId="33d89694-e871-4d78-81a1-80fff8212988" DeploymentMode="Production" UserJourneyRecorderEndpoint="urn:journeyrecorder:applicationinsights">
  <BasePolicy>
    <TenantId>syntropydevel.onmicrosoft.com</TenantId>
    <PolicyId>B2C_1A_TrustFrameworkExtensions</PolicyId>
  </BasePolicy>
  <RelyingParty>
    <DefaultUserJourney ReferenceId="ResourceOwnerPasswordCredentials" />
    <UserJourneyBehaviors>
      <JourneyInsights TelemetryEngine="ApplicationInsights" InstrumentationKey="70dd7fd8-dfb6-4b1f-8036-689ba804ad42" DeveloperMode="false" ClientEnabled="true" ServerEnabled="true" TelemetryVersion="1.0.0" />
      <ScriptExecution>Allow</ScriptExecution>
    </UserJourneyBehaviors>
    <TechnicalProfile Id="PolicyProfile">
      <DisplayName>PolicyProfile</DisplayName>
      <Protocol Name="OpenIdConnect" />
      <OutputClaims>
        <OutputClaim ClaimTypeReferenceId="sub" />
        <OutputClaim ClaimTypeReferenceId="objectId" />
        <OutputClaim ClaimTypeReferenceId="displayName" DefaultValue="" />
        <OutputClaim ClaimTypeReferenceId="givenName" DefaultValue="" />
        <OutputClaim ClaimTypeReferenceId="surname" DefaultValue="" />
        <OutputClaim ClaimTypeReferenceId="extension_internalUser" />
        <OutputClaim ClaimTypeReferenceId="extension_ownerUser" />
        <!-- TODO: remove -->
        <OutputClaim ClaimTypeReferenceId="extension_scopes" />
        <OutputClaim ClaimTypeReferenceId="extension_accessToken" />
        <OutputClaim ClaimTypeReferenceId="extension_accessTokenExp" />
        <OutputClaim ClaimTypeReferenceId="extension_accessTokenWorkspace" />
        <OutputClaim ClaimTypeReferenceId="extension_verified" />
        <OutputClaim ClaimTypeReferenceId="scopes" />
        <OutputClaim ClaimTypeReferenceId="roles" />
        <OutputClaim ClaimTypeReferenceId="permissions" />
        <OutputClaim ClaimTypeReferenceId="workspace_id" />
      </OutputClaims>
      <SubjectNamingInfo ClaimType="sub" />
    </TechnicalProfile>
  </RelyingParty>
</TrustFrameworkPolicy>